package com.xhpc.tradebill.service;


import com.xhpc.tradebill.domain.XhpcTradebillUploadRecordDomain;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;
import java.util.Map;

public interface CommonService {

    XhpcTradebillUploadRecordDomain ossUpload(XhpcTradebillUploadRecordDomain domain) throws Exception;

    XhpcTradebillUploadRecordDomain fileUpload(MultipartFile file, int type) throws Exception;

    List<XhpcTradebillUploadRecordDomain> getFilePage(Map<String, Object> params);
}
